<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">

            <ui:define name="top">

            </ui:define>

            <ui:define name="content">

                <p:fieldset legend="Cadastro Aluno">

                    <p:panelGrid columns="3" id="painel">

                        <p:outputLabel value="Código" for="codigo" />
                        <p:inputText id="codigo" value="#{cadastrarAluno.aluno.id}" readonly="true" />
                        <p:message for="codigo" />

                        <p:outputLabel value="Nome:" for="nome" />
                        <p:inputText id="nome" value="#{cadastrarAluno.aluno.nome}" required="true" />
                        <p:message for="nome" />

                        <p:outputLabel value="CPF:" for="cpf" />
                        <p:inputText id="cpf" value="#{cadastrarAluno.aluno.cpf}" required="false" />
                        <p:message for="cpf" />

                        <p:outputLabel value="Endereço:" for="endereco" />
                        <p:inputText id="endereco" value="#{cadastrarAluno.aluno.endereco}" required="false" />
                        <p:message for="endereco" />

                        <p:outputLabel value="Cidade:" for="cidade" />
                        <p:inputText id="cidade" value="#{cadastrarAluno.aluno.cidade}" required="false" />
                        <p:message for="cidade" />

                        <p:outputLabel value="Numero:" for="numero" />
                        <p:inputText id="numero" value="#{cadastrarAluno.aluno.numero}" required="false" />
                        <p:message for="numero" />

                        <p:outputLabel value="Comprelento" for="complemento" />
                        <p:inputText id="complemento" value="#{cadastrarAluno.aluno.complemento}" required="false" />
                        <p:message for="complemento" />

                        <p:outputLabel value="Estado:" for="estado" />
                        <p:inputText id="estado" value="#{cadastrarAluno.aluno.estado}" required="false" />
                        <p:message for="estado" />

                        <p:outputLabel value="E-mail:" for="email" />
                        <p:inputText id="email" value="#{cadastrarAluno.aluno.email}" required="false" />
                        <p:message for="email" />

                    </p:panelGrid>

                </p:fieldset>

                <p:commandButton value="Salvar"  actionListener="#{cadastrarAluno.salvar}" update="painel" />


            </ui:define>

            <ui:define name="bottom">

            </ui:define>

        </ui:composition>

    </body>
</html>
